%define name	plasma-applet-daisy
%define version	0.0.4.23
%define release	%mkrel 1
%define Summary	 "Daisy" is a simple application launcher for Plasma


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://cdlszm.org/downloads/%{name}-%{version}.tar.gz
License:	GPLv3
Group:		Graphical desktop/KDE
URL:		http://cdlszm.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase4-workspace-devel
Provides:	plasma-applet

%description
Daisy is a  free open-source widget for Plasma/KDE released under the
GNU General Public License version 3.
Main features:
    * Three types of roles: circular dock, media controller and linear
      dock;
    * Can dock in any screen position and be used in Horizontal or
      Vertical mode (linear dock role);
    * Configuration tools to access all configurable options;
    * Launchers can be edited with a simple right-click;
    * Hybrid launchers to launch applications and control running
      tasks;
    * Plugins to provide information and execute several tasks;
    * Various backgrounds available.

%files -f plasma_applet_daisy.lang
%defattr(-,root,root)
%doc README AUTHORS CHANGELOG COPYING INSTALL TODO
%_kde_libdir/kde4/plasma_applet_daisy.so
%_kde_services/plasma-applet-daisy.desktop
%{_datadir}/apps/desktoptheme/default/widgets/

#---------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang plasma_applet_daisy

%clean
%__rm -rf %{buildroot}


%changelog
* Fri Jul 30 2010 John Balcaen <mikala@mandriva.org> 0.0.4.23-1mdv2011.0
+ Revision: 563795
- Update URL
- Remove plasma-devel as BR (it's pulled by kdebase4-workspace-devel)
- Update to 0.0.4.23

* Thu Feb 11 2010 John Balcaen <mikala@mandriva.org> 0.0.4.22-1mdv2010.1
+ Revision: 504138
- Update to 0.0.4.22

* Fri Nov 06 2009 John Balcaen <mikala@mandriva.org> 0.0.4.21-1mdv2010.1
+ Revision: 461192
- Update to 0.0.4.21
 - Drop patch0 (merged upstream)

* Tue Sep 22 2009 John Balcaen <mikala@mandriva.org> 0.0.4.20-1mdv2010.0
+ Revision: 447024
- Update to 0.0.4.20
- Rediff Patch 0

* Sat Sep 12 2009 John Balcaen <mikala@mandriva.org> 0.0.4.19-2mdv2010.0
+ Revision: 438561
- Fix plasma applet category
- Spec clean
- Fix doc (missing COPYING)

* Tue Aug 11 2009 John Balcaen <mikala@mandriva.org> 0.0.4.19-1mdv2010.0
+ Revision: 414846
- import plasma-applet-daisy

